<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>libmcm: mcm-network-info.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">libmcm
   &#160;<span id="projectnumber">1.4.0</span>
   </div>
   <div id="projectbrief">A client library for Moxa Connection Management</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('mcm-network-info_8h.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">mcm-network-info.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="mcm-base-info_8h_source.html">mcm-base-info.h</a>&quot;</code><br />
</div>
<p><a href="mcm-network-info_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a443aac362a3654ed26d1d71c2fd77680"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680">McmConnectionState</a> { <br />
&#160;&#160;<a class="el" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680ab678f4e08269f28971bf10e7168602cb">CON_STATE_ERROR</a> = -1
, <a class="el" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680a4cb11d2bbf7e48e034a6d84e76664b3b">CON_STATE_INITIAL</a> = 0
, <a class="el" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680ad889eb604ab763554041bf00f0eeddec">CON_STATE_DEVICE_UNAVAILABLE</a> = 1
, <a class="el" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680a409ce0710cd276f7fd93d84b9df149dd">CON_STATE_DEVICE_READY</a> = 2
, <br />
&#160;&#160;<a class="el" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680a76474e4498b5dd4b969631f9f5ab7e73">CON_STATE_DISABLING</a> = 3
, <a class="el" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680aea2657ecd7f07685f764f118fed9e3da">CON_STATE_DISABLED</a> = 4
, <a class="el" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680ab7f9d8f97207f2ac82a12fe71793680a">CON_STATE_CONFIGURED</a> = 5
, <a class="el" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680a0e30c26dee8ff0dab7a1be848efe98e3">CON_STATE_CONFIGURE_FAILED</a> = 6
, <br />
&#160;&#160;<a class="el" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680a3ee23ba01884227587c7c2d36e288d49">CON_STATE_DISCONNECTED</a> = 7
, <a class="el" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680a068d9915e09f097b6bce00ac2986b031">CON_STATE_RECONNECT</a> = 8
, <a class="el" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680a517e3e35a511fdead2450b9dd38ff05e">CON_STATE_CONNECTED</a> = 9
<br />
 }</td></tr>
<tr class="separator:a443aac362a3654ed26d1d71c2fd77680"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:acc9bfe8cc62efdda2721570e8649873a"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-network-info_8h.html#acc9bfe8cc62efdda2721570e8649873a">mcm_get_network_info</a> (char *interfaceName, <a class="el" href="structmcm__network__info.html">mcm_network_info</a> *network_info)</td></tr>
<tr class="memdesc:acc9bfe8cc62efdda2721570e8649873a"><td class="mdescLeft">&#160;</td><td class="mdescRight">A help function for get network informations.  <a href="mcm-network-info_8h.html#acc9bfe8cc62efdda2721570e8649873a">More...</a><br /></td></tr>
<tr class="separator:acc9bfe8cc62efdda2721570e8649873a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abfcc8b8c61a648a7332924f3e1144e5a"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-network-info_8h.html#abfcc8b8c61a648a7332924f3e1144e5a">mcm_get_network_status</a> (char *interfaceName, <a class="el" href="structmcm__network__status.html">mcm_network_status</a> *network_status)</td></tr>
<tr class="memdesc:abfcc8b8c61a648a7332924f3e1144e5a"><td class="mdescLeft">&#160;</td><td class="mdescRight">A help function for get network status.  <a href="mcm-network-info_8h.html#abfcc8b8c61a648a7332924f3e1144e5a">More...</a><br /></td></tr>
<tr class="separator:abfcc8b8c61a648a7332924f3e1144e5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba65f32b91eca5394b51d4fa2b55dc2a"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-network-info_8h.html#aba65f32b91eca5394b51d4fa2b55dc2a">mcm_get_network_profiles</a> (char *interfaceName, int *num, <a class="el" href="structmcm__profiles.html">mcm_profiles</a> **profiles)</td></tr>
<tr class="memdesc:aba65f32b91eca5394b51d4fa2b55dc2a"><td class="mdescLeft">&#160;</td><td class="mdescRight">A help function for get network profiles.  <a href="mcm-network-info_8h.html#aba65f32b91eca5394b51d4fa2b55dc2a">More...</a><br /></td></tr>
<tr class="separator:aba65f32b91eca5394b51d4fa2b55dc2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4222ed317542f9daac888e462623b0f"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-network-info_8h.html#ad4222ed317542f9daac888e462623b0f">mcm_network_get_property</a> (char *interfaceName, char *<a class="el" href="mcm-base-info_8h.html#ad20b8c57a45da862d3567815284924bf">propertyName</a>, char **<a class="el" href="mcm-base-info_8h.html#a63b548928a16f43766049f86ef90671b">propertyValue</a>)</td></tr>
<tr class="memdesc:ad4222ed317542f9daac888e462623b0f"><td class="mdescLeft">&#160;</td><td class="mdescRight">A help function for get network property.  <a href="mcm-network-info_8h.html#ad4222ed317542f9daac888e462623b0f">More...</a><br /></td></tr>
<tr class="separator:ad4222ed317542f9daac888e462623b0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This library is for Moxa Connection Management</p>
<dl class="section author"><dt>Author</dt><dd>York LY Chang <a href="#" onclick="location.href='mai'+'lto:'+'Yor'+'kL'+'Y.C'+'ha'+'ng@'+'mo'+'xa.'+'co'+'m'; return false;">YorkL<span style="display: none;">.nosp@m.</span>Y.Ch<span style="display: none;">.nosp@m.</span>ang@m<span style="display: none;">.nosp@m.</span>oxa.<span style="display: none;">.nosp@m.</span>com</a> </dd></dl>
</div><h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="a443aac362a3654ed26d1d71c2fd77680"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a443aac362a3654ed26d1d71c2fd77680">&#9670;&nbsp;</a></span>McmConnectionState</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680">McmConnectionState</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>McmConnectionState:</p>
<p>Enumeration of possible connection states. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a443aac362a3654ed26d1d71c2fd77680ab678f4e08269f28971bf10e7168602cb"></a>CON_STATE_ERROR&#160;</td><td class="fielddoc"><p>Fatal error </p>
</td></tr>
<tr><td class="fieldname"><a id="a443aac362a3654ed26d1d71c2fd77680a4cb11d2bbf7e48e034a6d84e76664b3b"></a>CON_STATE_INITIAL&#160;</td><td class="fielddoc"><p>The connection is currently being initialized </p>
</td></tr>
<tr><td class="fieldname"><a id="a443aac362a3654ed26d1d71c2fd77680ad889eb604ab763554041bf00f0eeddec"></a>CON_STATE_DEVICE_UNAVAILABLE&#160;</td><td class="fielddoc"><p>The network interface unavailable to use </p>
</td></tr>
<tr><td class="fieldname"><a id="a443aac362a3654ed26d1d71c2fd77680a409ce0710cd276f7fd93d84b9df149dd"></a>CON_STATE_DEVICE_READY&#160;</td><td class="fielddoc"><p>The network interface ready for next action </p>
</td></tr>
<tr><td class="fieldname"><a id="a443aac362a3654ed26d1d71c2fd77680a76474e4498b5dd4b969631f9f5ab7e73"></a>CON_STATE_DISABLING&#160;</td><td class="fielddoc"><p>The network interface is currently transitioning to the <a class="el" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680aea2657ecd7f07685f764f118fed9e3da">CON_STATE_DISABLED</a> state. </p>
</td></tr>
<tr><td class="fieldname"><a id="a443aac362a3654ed26d1d71c2fd77680aea2657ecd7f07685f764f118fed9e3da"></a>CON_STATE_DISABLED&#160;</td><td class="fielddoc"><p>The network interface is not enabled and is down. </p>
</td></tr>
<tr><td class="fieldname"><a id="a443aac362a3654ed26d1d71c2fd77680ab7f9d8f97207f2ac82a12fe71793680a"></a>CON_STATE_CONFIGURED&#160;</td><td class="fielddoc"><p>The network interface applied connection setting from profile. </p>
</td></tr>
<tr><td class="fieldname"><a id="a443aac362a3654ed26d1d71c2fd77680a0e30c26dee8ff0dab7a1be848efe98e3"></a>CON_STATE_CONFIGURE_FAILED&#160;</td><td class="fielddoc"><p>setting connection failed, probably lower layer failure or wrong setting </p>
</td></tr>
<tr><td class="fieldname"><a id="a443aac362a3654ed26d1d71c2fd77680a3ee23ba01884227587c7c2d36e288d49"></a>CON_STATE_DISCONNECTED&#160;</td><td class="fielddoc"><p>The network interface connection configured but data connection disconnect. </p>
</td></tr>
<tr><td class="fieldname"><a id="a443aac362a3654ed26d1d71c2fd77680a068d9915e09f097b6bce00ac2986b031"></a>CON_STATE_RECONNECT&#160;</td><td class="fielddoc"><p>Under data recovery process </p>
</td></tr>
<tr><td class="fieldname"><a id="a443aac362a3654ed26d1d71c2fd77680a517e3e35a511fdead2450b9dd38ff05e"></a>CON_STATE_CONNECTED&#160;</td><td class="fielddoc"><p>The network interface connection configured and data connection connected. </p>
</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="acc9bfe8cc62efdda2721570e8649873a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc9bfe8cc62efdda2721570e8649873a">&#9670;&nbsp;</a></span>mcm_get_network_info()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mcm_get_network_info </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>interfaceName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structmcm__network__info.html">mcm_network_info</a> *&#160;</td>
          <td class="paramname"><em>network_info</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A help function for get network informations. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">interfaceName</td><td>(input) Interface name.</td></tr>
    <tr><td class="paramname">network_info</td><td>(output) A network infomations structure.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>If get ethernet properties success return 0. If fail, return error number. </dd></dl>

</div>
</div>
<a id="aba65f32b91eca5394b51d4fa2b55dc2a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba65f32b91eca5394b51d4fa2b55dc2a">&#9670;&nbsp;</a></span>mcm_get_network_profiles()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mcm_get_network_profiles </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>interfaceName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&#160;</td>
          <td class="paramname"><em>num</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structmcm__profiles.html">mcm_profiles</a> **&#160;</td>
          <td class="paramname"><em>profiles</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A help function for get network profiles. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">interfaceName</td><td>(input) Interface name.</td></tr>
    <tr><td class="paramname">profiles</td><td>(output) A network profiles structure.</td></tr>
    <tr><td class="paramname">num</td><td>(output) network profiles numbers.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>If get ethernet properties success return 0. If fail, return error number. </dd></dl>

</div>
</div>
<a id="abfcc8b8c61a648a7332924f3e1144e5a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abfcc8b8c61a648a7332924f3e1144e5a">&#9670;&nbsp;</a></span>mcm_get_network_status()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mcm_get_network_status </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>interfaceName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structmcm__network__status.html">mcm_network_status</a> *&#160;</td>
          <td class="paramname"><em>network_status</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A help function for get network status. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">interfaceName</td><td>(input) Interface name.</td></tr>
    <tr><td class="paramname">network_status</td><td>(output) A network status structure.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>If get ethernet properties success return 0. If fail, return error number. </dd></dl>

</div>
</div>
<a id="ad4222ed317542f9daac888e462623b0f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad4222ed317542f9daac888e462623b0f">&#9670;&nbsp;</a></span>mcm_network_get_property()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mcm_network_get_property </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>interfaceName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>propertyName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char **&#160;</td>
          <td class="paramname"><em>propertyValue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A help function for get network property. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">interfaceName</td><td>(input) Interface name.</td></tr>
    <tr><td class="paramname">propertyName</td><td>(input) property name.</td></tr>
    <tr><td class="paramname">propertyValue</td><td>(output) property value.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>If get ethernet properties success return 0. If fail, return error number. </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="mcm-network-info_8h.html">mcm-network-info.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
